extends ../index.pug

block title
  | #{ templatedTitle('Organizer preview') }

block content
  .bg-slate-200.dark_bg-slate-700.dark_text-white.p-2
    a(href=organizer.url, target="_blank")
      if organizer.image
        img.w-36.h-36.rounded-full.mx-auto.object-cover(
          src=organizer.image,
          alt=""
        )
    if organizer.name
      h1.text-4xl.font-bold.text-center= organizer.name
    else if organizer.url
      h1.text-2xl.font-bold.text-center !{ __('Events from {{url}}', { url: organizer.url }) }
    if organizer.description
      .prose.lg_prose-lg.dark_prose-invert.line-clamp-4.mx-auto !{ organizer.description }
    ul
      each event in organizer.events
        li.my-2.p-2.bg-white.dark_bg-slate-800.flex.items-start.gap-2
          if event.image
            img.w-48.h-auto(src=event.image, alt="")
          div
            a(href=event.url, target="_blank")
              h2.text-3xl.font-bold= event.name
            p
              if sameDay(event.startDate, event.endDate)
                span
                | #{ __('On {{day}} from {{startTime}} to {{endTime}}', {day: dayFormat(event.startDate, locale), startTime: timeFormat(event.startDate, locale), endTime: timeFormat(event.endDate, locale)}) }
              else if event.endDate
                span
                | !{ __('From {{{startDate}}} to {{{endDate}}}', { startDate: `<time datetime="${event.startDate.toISOString()}">${dateFormat(event.startDate, locale)}</time>`, endDate: `<time datetime="${event.endDate.toISOString()}">${dateFormat(event.endDate, locale)}</time>` }) }
              else
                time= dateFormat(event.startDate, locale)
            if event.location
              address
                if event.location.name
                  | #{ event.location.name }
                  br
                if event.location.address
                  if event.location.address.streetAddress
                    | #{ event.location.address.streetAddress }
                    br
                  | #{ event.location.address.postalCode } #{ event.location.address.addressLocality }
            article.prose.lg_prose-lg.dark_prose-invert.line-clamp-3 !{ clip(event.description, 200) }
  .my-6
    if user
      form(action="/sources/new", method="POST")
        input(type="hidden", value=originUrl, name="url")
        input(type="hidden", value=organizer.name, name="name")
        input(type="hidden", value=sourceType, name="sourceType")
        input(type="hidden", value=organizer.image, name="image")
        button.button-primary(type="submit") #{ __('Save as a new source') }
    else
      p #{ __('To setup a synchronisation between this source to your Mobilizon profile or group, connect to your account') }
      a.button-primary(href="/mobilizon/oauth") #{ __('Connect to Mobilizon') }
